package com.bcxin.ars.dto.report;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.PoliceRole;
import lombok.Data;
import org.omg.CORBA.ORB;

import java.util.List;

@Data
public class YearReportsSearchDto extends SearchDto<YearReportDto> {

	/**
     * 公司名称
     */
	private String companyname;
	
	/**
     * 许可证号
     */
	private String publicSecurityLicense;
	
	/**
     * 法人
     */
    private String legalPerson;
    
    /**
     * 区域编号
     */
    private String areaCode;

	/**
	 * 备案年份
	 */
	private  String filingYear;

	/**
	 * 审批状态
	 */
	private String approvalState;



	private String approvaldate;


	public String getApprovaldate() {
		return approvaldate;
	}

	public void setApprovaldate(String approvaldate) {
		this.approvaldate = approvaldate;
	}

	/**
	 * 备案是否盖章确认
	 */
	private String filingIsStamped;


	private String checkType;

	private  String createTime;

	private String startTime;
	
	private String endTime;
	private List<PoliceRole> roles;
	private Long orgid;

	public Long getOrgid() {
		return orgid;
	}

	public void setOrgid(Long orgid) {
		this.orgid = orgid;
	}
	
	public String getFilingYear() {
		return filingYear;
	}

	public void setFilingYear(String filingYear) {
		this.filingYear = filingYear;
	}

	public String getCompanyname() {
		return companyname;
	}

	public void setCompanyname(String companyname) {
		this.companyname = companyname;
	}

	public String getPublicSecurityLicense() {
		return publicSecurityLicense;
	}

	public void setPublicSecurityLicense(String publicSecurityLicense) {
		this.publicSecurityLicense = publicSecurityLicense;
	}

	public String getLegalPerson() {
		return legalPerson;
	}

	public void setLegalPerson(String legalPerson) {
		this.legalPerson = legalPerson;
	}

	public String getAreaCode() {
		return areaCode;
	}

	public void setAreaCode(String areaCode) {
		this.areaCode = areaCode;
	}

	public String getApprovalState() {
		return approvalState;
	}

	public void setApprovalState(String approvalState) {
		this.approvalState = approvalState;
	}

	public String getFilingIsStamped() {
		return filingIsStamped;
	}

	public void setFilingIsStamped(String filingIsStamped) {
		this.filingIsStamped = filingIsStamped;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getCheckType() {
		return checkType;
	}

	public void setCheckType(String checkType) {
		this.checkType = checkType;
	}





	public List<PoliceRole> getRoles() {
		return roles;
	}

	public void setRoles(List<PoliceRole> roles) {
		this.roles = roles;
	}
}
